%=======================================================================%
%	Script startB.m pokrece SIMULINK model B.mdl
%=======================================================================%
clear;
%PERIODA ODABIRANJA REGULATORA BRZINE
T = 0.0003; %[s]
%-----------------------------------------------------------------------%
%ELEKTRICNI PODSISTEM
Km = 1; 		%pojacanje aktuatora
psi = 0.3; 	%faktor relativnog prigusenja
Wn = 4430; 	%neprigusena prirodna ucestanost u [rad/s]
Te = 1/(2*psi*Wn); %izraz ()
Tmax = 10; 	%maksimalni vrednost pokretackog moment u [Nm]
%-----------------------------------------------------------------------%
%PARAMETRI MEHANICKOG PODSISTEMA SA KRUTOM SPOJNICOM
Jm = 0.0008; 	%inercija elektricne masine u [kgm2]
JL = 0.0002; 	%inercija opterecenja u [kgm2]
J = Jm + JL; 	%ukupna inercija u [kgm2]
%-----------------------------------------------------------------------%
%DAVAC-SINHROKONVERTOR
N = 12; %rezolucija [bita]
Fbw = 1000; %propusni opseg u [Hz]
kvant = 2^(16-N); %izraz ()
An = 2/(pi*Fbw);  %izraz ()
Kn = 2^16/(2*pi); %izraz ()
Trd = 0.33/Fbw;   %izraz ()
%-----------------------------------------------------------------------%
%DOMINANTNA VREMENSKA KONSTANTA
Tau = sqrt(Te^2 + Trd^2); %izraz ()
%-----------------------------------------------------------------------%
%PRORACUN PARAMETARA REGULATORA BRZINE
b = exp(-T/Tau); %izraz ()
C = (Km*Kn*T)/(2*J); %izraz ()            
Sopt = (4 + 4*b)^(1/3) - 1; %izraz () 
KP = (Sopt^3 - b)/((1 - b)*C); %izraz ()       
KI = (3*Sopt^2 - 1 - 2*b)/((1 - b)*C); %izraz ()
freg = -log(Sopt)/(2*pi*T); %izraz ()
%-----------------------------------------------------------------------%
%STARTUJE MODEL B.mdl
open_system('B.mdl');
%-----------------------------------------------------------------------%
