%==================================================================%
%	Script startC.m pokrece SIMULINK model C.mdl
%==================================================================%
clear;
%PERIODA ODABIRANJA REGULATORA BRZINE
T = 0.0003; %[s]
%------------------------------------------------------------------%
%ELEKTRICNI PODSISTEM
Km = 1; 		%pojacanje aktuatora
psi = 0.3; 	%faktor relativnog prigusenja
Wn = 4430; 	%neprigusena prirodna ucestanost u [rad/s]
Te = 1/(2*psi*Wn); %izraz ()
Tmax = 10; 	%maksimalna vrednost pokretackog momenta u [Nm]
%-------------------------------------------------------------------%
%PARAMETRI MEHANICKOG PODSISTEMA SA ELASTICNOM SPOJNICOM
Jm = 0.0008;	%inercija elektricne masine u [kgm2]
Fm = 0.002; 	%frikcija elektricne masine u [Nm/rad/s]
JL = 0.0002;	%inercija opterecenja u [kgm2]
FL = 0.002; 	%frikcija opterecenja u [kgm2]
Ko = 350; 	   %krutost osovine u [Nm/rad]
J = Jm + JL; 	%ukupna inercija u [kgm2]
%-------------------------------------------------------------------%
%DAVAC-SINHROKONVERTOR
N = 12; %rezolucija [bita]
Fbw = 1000; %propusni opseg u [Hz]
kvant = 2^(16-N); %izraz ()
An = 2/(pi*Fbw);  %izraz ()
Kn = 2^16/(2*pi); %izraz ()
Trd = 0.33/Fbw;   %izraz ()
%--------------------------------------------------------------------%
%DOMINANTNA VREMENSKA KONSTANTA
Tau = sqrt(Te^2 + Trd^2); %izraz ()
%--------------------------------------------------------------------%
%PRORACUN PARAMETARA REGULATORA BRZINE
b = exp(-T/Tau); %izraz ()
C = (Km*Kn*T)/(2*J); %sinteticki koeficijent, izraz ()            
Sopt = (4 + 4*b)^(1/3) - 1; %trostruki realni pol, izraz () 
KP = (Sopt^3 - b)/((1 - b)*C); %proporcionalno dejstvo, izraz ()       
KI = (3*Sopt^2 - 1 - 2*b)/((1 - b)*C); %integralno dejstvo, izraz ()
freg = -log(Sopt)/(2*pi*T); %propusni opseg brzinske petlje, izraz ()
%---------------------------------------------------------------------%
%STARTUJE MODEL C.mdl
open_system('C.mdl');
%---------------------------------------------------------------------%

